
update location_profile set bed_time_enabled=1 where location_id=0;
update location_profile set auto_optimized=1 where location_id in (0,1,2,3);  

INSERT INTO location_profile(location_id, location_name, auto_optimized, bed_time_enabled)
SELECT DISTINCT a.location_id + 1000,location_name,1,0
FROM locationBasedPatternData a, power_optim_mode_action_details b
WHERE a.location_id = b.location_id and mode_id=3 and a.location_id > 0;

INSERT INTO location_control_config(location_id_skey, control_category, control_type, control_value, update_time)
SELECT 0,0, action_id,control_value,updated_time
FROM power_optim_mode_action_details
WHERE mode_id=1;

INSERT INTO location_control_config(location_id_skey, control_category, control_type, control_value, update_time)
SELECT 0,1, action_id,control_value,updated_time
FROM power_optim_mode_action_details
WHERE mode_id=0;

INSERT INTO location_control_config(location_id_skey, control_category, control_type, control_value, update_time)
SELECT 1,0, action_id,control_value,updated_time
FROM power_optim_mode_action_details
WHERE mode_id =2;

INSERT INTO location_control_config(location_id_skey, control_category, control_type, control_value, update_time)
SELECT 3,0, action_id,control_value,updated_time
FROM power_optim_mode_action_details
WHERE mode_id =4;

INSERT INTO location_control_config(location_id_skey, control_category, control_type, control_value, update_time)
SELECT 2,0,0,-1,strftime('%s','now')*1000;
INSERT INTO location_control_config(location_id_skey, control_category, control_type, control_value, update_time)
SELECT 2,0,1,-1,strftime('%s','now')*1000;
INSERT INTO location_control_config(location_id_skey, control_category, control_type, control_value, update_time)
SELECT 2,0,2,-1,strftime('%s','now')*1000;
INSERT INTO location_control_config(location_id_skey, control_category, control_type, control_value, update_time)
SELECT 2,0,3,-1,strftime('%s','now')*1000;

INSERT INTO location_control_config(location_id_skey, control_category, control_type, control_value, update_time)
SELECT distinct location_id + 1000,0, action_id,control_value,updated_time
FROM power_optim_mode_action_details
WHERE mode_id =3 and location_id > 0; 

INSERT INTO location_control_config(location_id_skey, control_category, control_type, control_value, update_time)
SELECT distinct location_id_skey,control_category,4,-1,strftime('%s','now')*1000
FROM location_control_config;    

INSERT INTO location_control_config(location_id_skey, control_category, control_type, control_value, update_time)
SELECT distinct location_id_skey,control_category,5,-1,strftime('%s','now')*1000
FROM location_control_config;

insert into location_entry (location_id_skey, location_type, location_info)
select distinct 0, 0, wifissid from v_locationBasedPatternData where location_mode = 0;

insert into location_entry (location_id_skey, location_type, location_info)
select distinct 1, 0, wifissid from v_locationBasedPatternData where location_mode = 1;

insert into location_entry (location_id_skey, location_type, location_info)
select distinct a.location_id + 1000, 0, wifi_ssid.ssid
from power_optim_mode_action_details a,  locationBasedPatternData b, wifi_ssid
where a.location_id = b.location_id and a.mode_id=3 and a.location_id > 0
and b.wifi_ssid_id = wifi_ssid.ssid_id;