-- update v_locationBasedPatternData with update_time column
DROP VIEW v_locationBasedPatternData;

CREATE VIEW IF NOT EXISTS v_locationBasedPatternData AS
     SELECT l.cell_info_id, c.lac, c.cell_id AS cellid, wifi_ssid.bssid AS wifibssid, wifi_ssid.ssid AS wifissid, wifi_ssid_id,
     location_mode, confirmed, network_latitude, network_longitude, availbssids, location_entry.update_time, location_entry.location_id_skey as location_id,  location_name
     FROM locationBasedPatternData l
     JOIN cell_info c ON l.cell_info_id = c.cell_info_id
     LEFT OUTER JOIN wifi_ssid ON l.wifi_ssid_id = wifi_ssid.ssid_id
     LEFT OUTER JOIN location_entry ON wifi_ssid.ssid=location_entry.location_info AND location_entry.location_type=0;

