--Drop view v_dcevent2 and reCreate it

DROP VIEW IF EXISTS v_dcevent2;

CREATE VIEW IF NOT EXISTS v_dcevent2 AS
    SELECT _id, r.event_type as event, c.cell_id AS cellid, c.lac, mobile_networktype,
    isroaming,rssi_voice, battery_level, battery_voltage, app.app_name AS appattop, charge_status,
    w.ssid AS wifissid, w.bssid AS wifibssid,
    trafficstatsall_tx,trafficstatsall_rx,trafficstatsmobile_tx,trafficstatsmobile_rx,wifi_status,
    isbluetoothon,gps_status,wifi_avail_ssid,time,wifi_ssid_id, app_at_top_id
    FROM DCEvent2 e
    JOIN sys_event r ON e.event_id = r.event_id
    LEFT OUTER JOIN app ON e.app_at_top_id = app.app_id
    LEFT OUTER JOIN wifi_ssid w ON e.wifi_ssid_id = w.ssid_id
    LEFT OUTER JOIN cell_info c ON e.cell_info_id = c.cell_info_id;