DELETE FROM power_optim_mode_action_details;

-- Night mode
-- Wifi(0), Data(1), BT(2), Sound(3), Vibrate(4), Airplane(5), Brightness(6), SleepingTime(7);
-- NotChange(-1), Off(0), On(1), Set(2); automatic for brightness it is 0, and mute for sound it is 0 too
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (0, 0, 0, 0, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (0, 0, 1, 0, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (0, 0, 2, 0, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (0, 0, 3, 1, -1);
--INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (0, 0, 5, 1, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (0, 0, 6, 1, -1);

-- Home mode
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (1, 0, 0, 1, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (1, 0, 1, 0, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (1, 0, 2, 0, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (1, 0, 3, 1, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (1, 0, 6, 0, -1);

-- Office mode
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (2, 0, 0, 1, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (2, 0, 1, 0, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (2, 0, 2, 0, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (2, 0, 3, 1, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (2, 0, 6, 0, -1);

-- Elsewhere known location mode
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (3, 0, 0, 1, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (3, 0, 1, 0, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (3, 0, 2, 0, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (3, 0, 3, 1, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (3, 0, 6, 0, -1);

-- Elsewhere unknown mode
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (4, 0, 0, 0, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (4, 0, 1, 1, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (4, 0, 2, 1, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (4, 0, 3, 1, -1);
INSERT INTO power_optim_mode_action_details(mode_id, location_id, action_id, control_value, control_set_value) values (4, 0, 6, 0, -1);