DROP VIEW v_event_app_power_info;

CREATE VIEW IF NOT EXISTS v_event_app_power_info AS
    SELECT _id, time, r.event_type as event, app.package_name, app.app_name, total_time, total_power, app.app_id,
    cpu_time, cpu_fore_time
    FROM event_app_power_info
    JOIN app ON event_app_power_info.app_id = app.app_id
   	JOIN sys_event r ON event_app_power_info.event_id = r.event_id;