-- add new column location_id for location based data capture and aggregation feature
ALTER TABLE DCEvent2 ADD COLUMN location_id INTEGER;

-- aggregation table for location change.    
CREATE TABLE IF NOT EXISTS agg_daily_location_info (
   day INTEGER,
   location_id INTEGER,
   location_duration INTEGER,
   mobile_data_usage INTEGER,
   wifi_data_usage INTEGER,
   mobile_used_time INTEGER,
   wifi_used_time INTEGER,
   charge_duration INTEGER,
   total_charge_level INTEGER,
   drain_duration INTEGER,
   total_drain_level  INTEGER,
   PRIMARY KEY(day, location_id)
);
