DROP TABLE IF EXISTS favorite_widget;

-- Create table for favorite_widget,
CREATE TABLE IF NOT EXISTS favorite_widget (
    widget_id	               INTEGER,
    page_id                    INTEGER,
    widget_name                TEXT,
    widget_component_name      TEXT,
    widget_x_dimension         INTEGER,
    widget_y_dimension         INTEGER,
    widget_width               INTEGER,
    widget_height              INTEGER,
    widget_type                INTEGER,

    UNIQUE (widget_id,page_id,widget_x_dimension,widget_y_dimension)
);