DROP TABLE IF EXISTS favorite_widget;

CREATE TRIGGER after_favorites_delete AFTER delete ON favorites
    BEGIN
      INSERT INTO db_operation_log(action, table_name, criteria, update_time)
      VALUES ('DELETE','favorites','_id='''||old._id||'''',strftime('%s','now')*1000 + 1000); END;

CREATE TRIGGER after_favorites_update AFTER UPDATE ON favorites
  BEGIN
    INSERT INTO db_operation_log(action, table_name, criteria, update_time)
    VALUES ('UPDATE','favorites','_id='''||old._id||'''',strftime('%s','now')*1000 + 1000); END;
