DELETE FROM preference_store
WHERE key = 'defaultZone'
AND EXISTS (SELECT 1 FROM preference_store WHERE key = 'defaultHomePage' and value != 2);

INSERT INTO preference_store (category, key, value, update_time, data_type)
SELECT 'Install', 'defaultZone', '-1', strftime('%s','now')*1000, 'String' from preference_store
WHERE key = 'defaultHomePage' and value != 2;

UPDATE preference_store SET value = value - 1
WHERE key = 'defaultHomePage' and value >= 2;

INSERT INTO preference_store (category, key, value, update_time, data_type)
SELECT 'Install', 'defaultZone', 'Apps on me', strftime('%s','now')*1000, 'String'
WHERE NOT EXISTS (SELECT 1 FROM preference_store WHERE key = 'defaultZone' or key = 'defaultHomePage')
UNION
SELECT 'Install', 'defaultHomePage', '1', strftime('%s','now')*1000, 'Long'
WHERE NOT EXISTS (SELECT 1 FROM preference_store WHERE key = 'defaultZone' or key = 'defaultHomePage');

INSERT INTO preference_store (category, key, value, update_time, data_type)
SELECT 'Install', 'isLocationBasedZoneEnabled', 'true', strftime('%s','now')*1000, 'Boolean';
