CREATE TEMPORARY TABLE location_control_config_temp AS SELECT T1.[location_id_skey], T1.[control_type] , T1.[control_category],T1.[control_value] AS v1,T2.[control_value] AS v2 from location_control_config as T1 LEFT JOIN location_control_config as T2
WHERE T1.[control_category] = T2.[control_category] AND T1.[location_id_skey]=T2.[location_id_skey] AND T1.[control_type]=3 AND T2.[control_type]=4;

UPDATE location_control_config SET control_value=-1 where exists (SELECT * FROM location_control_config_temp
 WHERE location_control_config_temp.[control_category] = location_control_config.[control_category]
 AND location_control_config_temp.[location_id_skey] = location_control_config.[location_id_skey]
 AND location_control_config.[control_type]=3
 AND ((location_control_config_temp.[v1]=-1 AND location_control_config_temp.[v2]=-1)
      OR(location_control_config_temp.[v1]=-1 AND location_control_config_temp.[v2]=0)));

UPDATE location_control_config SET control_value=0 where exists (SELECT * FROM location_control_config_temp
 WHERE location_control_config_temp.[control_category] = location_control_config.[control_category]
 AND location_control_config_temp.[location_id_skey] = location_control_config.[location_id_skey]
 AND location_control_config.[control_type]=3
 AND ((location_control_config_temp.[v1]=0 AND location_control_config_temp.[v2]=-1)
      OR(location_control_config_temp.[v1]=0 AND location_control_config_temp.[v2]=0)));

UPDATE location_control_config SET control_value=1 where exists (SELECT * FROM location_control_config_temp
 WHERE location_control_config_temp.[control_category] = location_control_config.[control_category]
 AND location_control_config_temp.[location_id_skey] = location_control_config.[location_id_skey]
 AND location_control_config.[control_type]=3
 AND ((location_control_config_temp.[v1]=-1 AND location_control_config_temp.[v2]=1)
      OR(location_control_config_temp.[v1]=0 AND location_control_config_temp.[v2]=1)));

UPDATE location_control_config SET control_value=2 where exists (SELECT * FROM location_control_config_temp
 WHERE location_control_config_temp.[control_category] = location_control_config.[control_category]
 AND location_control_config_temp.[location_id_skey] = location_control_config.[location_id_skey]
 AND location_control_config.[control_type]=3
 AND location_control_config_temp.[v1]=1 );

drop table location_control_config_temp;

delete  FROM location_control_config WHERE control_type = 4;